lwIP 2.1.2 Lightweight IP stack

Macros | Functions
lowpan6.h File Reference
`#include "netif/lowpan6_opts.h"`
`#include "netif/lowpan6_common.h"`
`#include "lwip/pbuf.h"`
`#include "lwip/ip.h"`
`#include "lwip/ip_addr.h"`
`#include "lwip/netif.h"`

## Macros
#define | LOWPAN6_TMR_INTERVAL 1000

## Functions
void | lowpan6_tmr (void)
err_t | lowpan6_set_context (u8_t idx, const ip6_addr_t *context)
err_t | lowpan6_set_short_addr (u8_t addr_high, u8_t addr_low)
err_t | lowpan6_output (struct netif *netif, struct pbuf *q, const ip6_addr_t *ip6addr)
err_t | lowpan6_input (struct pbuf *p, struct netif *netif)
err_t | lowpan6_set_pan_id (u16_t pan_id)
u16_t | lowpan6_calc_crc (const void *buf, u16_t len)
err_t | tcpip_6lowpan_input (struct pbuf *p, struct netif *inp)

## Detailed Description

6LowPAN output for IPv6. Uses ND tables for link-layer addressing. Fragments packets to 6LowPAN units.

## Macro Definition Documentation

## ◆ LOWPAN6_TMR_INTERVAL

#define LOWPAN6_TMR_INTERVAL 1000

1 second period for reassembly

## Function Documentation

## ◆ lowpan6_calc_crc()

u16_t lowpan6_calc_crc | ( | const void * | buf,
|  | u16_t | len
| ) |  |

Calculate the 16-bit CRC as required by IEEE 802.15.4

## ◆ lowpan6_tmr()

void lowpan6_tmr | ( | void |  | ) |

Periodic timer for 6LowPAN functions:

- Remove incomplete/old packets